Obtain a list of previously generated swapping and/or bridging quotes
This endpoint provides a full history of a user’s bridging and swapping activity. This includes commits for quotes generated through the POST /quote/user and POST /quote/bridge-swap/user endpoints and submitted through POST /quote/commit/{quoteId}, as well as bridges initiated via a Smart Deposit Address.
Authorizations
JWT token for authentication
Query Parameters
The field that results will be sorted by. Either "createdAt" (sorting by the datetime that the quote was created) or "updatedAt" (sorting by the datetime that the quote was last updated). Must be used in conjunction with sortDirection.
createdAt, updatedAt The order that results will be returned in. Either "asc" or "desc". Must be used in conjunction with sortBy.
asc, desc Optional filter by the status of the bridge/bridge+swap transaction. One of: "PENDING" (the quote has been committed but the deposit has not yet been received and accepted for processing), "ACCEPTED" (the deposit has been accepted and the transaction is being processed onchain), or "EXECUTED" (fully processed onchain).
PENDING, ACCEPTED, EXECUTED An opaque token identifying the page of results to return, as provided by the nextPageToken field of a previous response. Should be used in conjunction with pageSize.
1The number of results to display per pageToken, e.g. "25" (maximum 50). This helps filter long responses and should be used in conjunction with pageToken.
Response
Success
Bridge transaction details.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
An opaque token identifying the next page of results, to be passed in the pageToken query param to fetch it. Null when there are no further pages.
1